Bug 735284 - RFE : shotwell 0.11.0-1 .spec requires patches to build
Summary: RFE : shotwell 0.11.0-1 .spec requires patches to build
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 15
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 07:19 UTC by Didier
Modified: 2012-08-07 17:14 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:14:39 UTC


Attachments (Terms of Use)
Patch against shotwell-0.11.0-1 spec file (1.54 KB, patch)
2011-09-02 07:19 UTC, Didier
no flags Details | Diff
Patch against shotwell-0.11.1-1 spec file (2.26 KB, patch)
2011-09-10 14:51 UTC, Thomas Moschny
no flags Details | Diff
Update to 0.11.3 (diff against current master) (2.44 KB, patch)
2011-10-13 15:42 UTC, Thomas Moschny
no flags Details | Diff

Description Didier 2011-09-02 07:19:42 UTC
Created attachment 521156 [details]
Patch against shotwell-0.11.0-1 spec file

Description of problem:

Current 0.11.0-1 .spec file is unable to build shotwell 0.11.0 (GA 2011-08-23) :
http://koji.fedoraproject.org/koji/taskinfo?taskID=3300025


Please find in attachment the required .spec patches, allowing shotwell to be built for F15 (F16/F17 not tested).

TODO :
- update Release tag & %changelog.

Comment 1 Thomas Moschny 2011-09-10 14:51:18 UTC
Created attachment 522531 [details]
Patch against shotwell-0.11.1-1 spec file

Also stumbled across specfile issues while trying to recompile. Here's my patch.

Comment 2 Sjoerd Mullender 2011-10-12 20:19:35 UTC
It looks like there is a little bug in the patch by Didier.  The changed line with the touch command has just a : (colon) added.  That should probably be
 || :

Comment 3 Thomas Moschny 2011-10-13 15:42:38 UTC
Created attachment 528060 [details]
Update to 0.11.3 (diff against current master)

Comment 4 Matthias Clasen 2011-10-14 00:24:34 UTC
I don't think this patch will help, since shotwell 0.11 doesn't build with the vala version that is in F16 and rawhide.

Comment 5 Thomas Moschny 2011-11-12 08:54:33 UTC
(In reply to comment #4)
> I don't think this patch will help, since shotwell 0.11 doesn't build with the
> vala version that is in F16 and rawhide.

See http://redmine.yorba.org/issues/3760 : this is only about compiler warnings, and with some minor tweaking of the Makefile one can force compiling with vala 0.14. Another option would be a backport of http://redmine.yorba.org/projects/shotwell/repository/revisions/64aec6b035f73de53f2f8300a55e7aac35b7256c which should be possible without much effort.

For anyone interested, updated RPMs are here: http://repos.fedorapeople.org/repos/thm/shotwell/ , for F14, F15 and F16. These are built using the first method described above, and are barely tested, use at your own risk. Feedback welcome.

Comment 6 Didier 2011-11-15 12:02:51 UTC
(In reply to comment #5)
> For anyone interested, updated RPMs are here:
> http://repos.fedorapeople.org/repos/thm/shotwell/ , for F14, F15 and F16. These

On first sight, runs OK on F15 x64.
Thanks !

Comment 7 Didier 2011-11-21 19:29:37 UTC
Confirmed working on F16 x64.
Thanks again !

Comment 8 Jean-François Fortin Tam 2012-01-20 13:56:38 UTC
Thomas, your package should not force compiling with Vala 0.14. It causes stuff like http://redmine.yorba.org/issues/4622.

Comment 9 Thomas Moschny 2012-01-20 14:12:39 UTC
(In reply to comment #8)
> Thomas, your package should not force compiling with Vala 0.14. It causes stuff
> like http://redmine.yorba.org/issues/4622.

You are totally right. I just noticed this myself, and will try to build a package with old vala.

Comment 10 Thomas Moschny 2012-01-20 18:19:50 UTC
There are now RPMs built with vala 0.12.1 in my repo, for testing.

As always, use on your own risk.

Comment 11 Jean-François Fortin Tam 2012-01-20 18:45:41 UTC
The updated shotwell package fixes my issue from comment 9.

I noticed that your repo seems to contain a "vala12" package, but the shotwell package doesn't actually seem to depend on it and the app seems to run fine...?

Comment 12 Thomas Moschny 2012-01-20 18:55:25 UTC
(In reply to comment #11)
> The updated shotwell package fixes my issue from comment 9.

Great, thanks for testing.

> I noticed that your repo seems to contain a "vala12" package, but the shotwell
> package doesn't actually seem to depend on it and the app seems to run fine...?

That is the compiler I built it with. It is not needed at runtime, but in my repo for the sake of completeness.

Comment 13 Thomas Moschny 2012-01-20 19:04:34 UTC
Not sure how that component change in bugzilla happened...

Comment 14 Didier 2012-01-22 14:45:06 UTC
1.
shotwell-0.12.0-0.1.20111117gitcf087489ea.fc17.src.rpm (http://koji.fedoraproject.org/koji/buildinfo?buildID=274544) recompiles fine on F16 x64 ;


2.
After compiling vala 0.15 (http://koji.fedoraproject.org/koji/buildinfo?buildID=291659) for F16 x64, shotwell 0.11.91 (https://launchpad.net/ubuntu/precise/+source/shotwell/0.11.91-0ubuntu2/+files/shotwell_0.11.91.orig.tar.gz) compiles and appears to run fine on F16 x64.

for (2.), I used the .spec from (1.) and shoe-horned the "rm" in the %install clause to include 'icon-theme.cache' :
"rm -rf 16x16 24x24 scalable icon-theme.cache"

Comment 15 Thomas Moschny 2012-01-22 15:07:53 UTC
Sure, but neither git Version cf087489ea nor 0.11.91 are released stable versions.

Comment 16 Fedora End Of Life 2012-08-07 17:14:42 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.